package com.inca.npbusi.sales.bms_st_rg_plan;

import com.inca.np.demo.communicate.RemotesqlHelper;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CDetailModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.np.util.DecimalHelper;

public class DisposeSalesBack_detail extends CDetailModel {
   public DisposeSalesBack_detail(CFrame var1, CMdeModel var2) {
      super(var1, "收货细单", var2);
      this.getDBColumnDisplayInfo("backwhyid").setDbcolumn(false);
   }

   public String getTablename() {
      return "bms_st_rg_dtl_v";
   }

   public String getSaveCommandString() {
      return null;
   }

   protected void on_retrieved() {
      super.on_retrieved();
      if (this.getRowCount() > 0) {
         for(int var1 = 0; var1 < this.getRowCount(); ++var1) {
            String var2;
            if ((var2 = this.getItemValue(var1, "fetchdtlid")) == null) {
               var2 = "";
            }

            if (!var2.equals("")) {
               var2 = "SELECT b.unitprice FROM bms_tr_fetch_dtl a ,bms_sa_dtl b WHERE a.saledtlid=b.salesdtlid AND a.fetchdtlid=" + var2;
               DBTableModel var3 = null;
               RemotesqlHelper var4 = new RemotesqlHelper();

               try {
                  var3 = var4.doSelect(var2, 0, 1);
               } catch (Exception var5) {
                  var5.printStackTrace();
               }

               if (var3.getRowCount() > 0) {
                  var2 = var3.getItemValue(0, "unitprice");
                  this.setItemValue(var1, "unitprice", var2);
                  this.setdbStatus(var1, 0);
               }
            }
         }
      }

   }

   public int on_beforesave() {
      String var1;
      if ((var1 = this.getItemValue(this.getRow(), "unitPrice")) != null && !"".equals(var1)) {
         if (DecimalHelper.comparaDecimal(var1, "0") <= 0) {
            this.infoMessage("提示", "单价必须大于0！");
            return -1;
         } else {
            return super.on_beforesave();
         }
      } else {
         this.infoMessage("提示", "单价不能为空！");
         return -1;
      }
   }
}
